Index: tools/config-node.sh
===================================================================
--- tools/config-node.sh	(revision 4985)
+++ tools/config-node.sh	(revision 4986)
@@ -12,4 +12,5 @@
 #       file list, check node name to be valid, '-n' mode.
 #	make moving of final files a bit safer. (dirkx)
+# 1.04  Add auto read-only detection.
 #
 # If there is a global system configuration file, suck it in.
@@ -22,7 +23,8 @@
 HTTP_PROXY_DEFAULT=${HTTP_PROXY:-http://proxy.wleiden.net:3128}
 HTTP_USER_AGENT=${HTTP_USER_AGENT:-curl.faked.fetch/0.0}
-VERSION=1.03
+VERSION=1.04
 QUIET=${QUIET:-}
 PRETEND=no
+FORCE=no
 
 FETCH=${FETCH:-/usr/bin/fetch}
@@ -42,4 +44,5 @@
 	echo "-n		Show what would happen - but do not do it"
 	echo "-q		Suppress all output and user interaction"
+	echo "-F		Force disk to write"
 	exit 1
 }
@@ -66,4 +69,7 @@
 			PRETEND=yes
 			;;
+		-F)
+			FORCE=yes
+			;;
 		*)
 			test $# -eq 1 || usage
@@ -75,4 +81,24 @@
 done
 
+echo Config Node -- Version: $VERSION '$Rev$'
+
+# Make sure we clean up our mess when needed.
+trap "rm -f ${TMPPREFIX}.?; echo Failed; exit 1;" 2 3
+
+if [ ${PRETEND} != 'yes' ]; then
+	if mount | grep "on / " | grep -q read-only; then
+		if [ ${FORCE} = "yes" ]; then
+			echo Forcing read-only disk into rw.
+			fsck / || exit 2
+			mount -o noatime -u -w / || exit 2 || exit 1
+			trap "mount -u -r /; rm -f ${TMPPREFIX}.?; echo Failed; exit 1;" 2 3
+			FORCE=rw
+		else
+			echo ERROR - disk / is mounted read only. Aborting.
+			exit 1
+		fi
+	fi
+fi
+
 export HTTP_USER_AGENT
 export TMPDIR
@@ -85,6 +111,4 @@
 lcd=${LCDIR:-/lcd}
 
-# Make sure we clean up our mess when needed.
-trap "rm -f ${TMPPREFIX}.?; echo Failed; exit 1;" 2 3
 
 # connection test function
@@ -253,10 +277,13 @@
    fi
 
-   test -e $symdir/$file || echo WARNING: Symlink $symdir/$file not in place.
+   test -e $symdir/$file || (
+		echo WARNING: Symlink $symdir/$file not in place.
+		echo use:   ln -s $dir/$file $symdir/$file  
+		echo to fix if appropriate.
+	)
 }
 
 dir=${lcd}
 
-echo Config Node -- Version: $VERSION
 
 #check config dir
@@ -331,17 +358,17 @@
 		;; 
 	resolv.conf | rc.node.local | rc.local)
-		linkin /etc/ ${i}
+		linkin /etc ${i}
 		;;
 	snmpd.local.conf)
-		linkin /usr/local/share/snmp/ ${i}
+		linkin /usr/local/share/snmp ${i}
 		;;
 	named.conf)
-		linkin/etc/namedb/ ${i}
+		linkin /etc/namedb ${i}
 		;;
 	dhcpd.conf)
-	 	linkin /usr/local/etc/ ${i}
+	 	linkin /usr/local/etc ${i}
 		;;
 	zebra.conf | ospfd.conf)
-        	linkin /usr/local/etc/zebra/ ${i}
+        	linkin /usr/local/etc/zebra ${i}
 		;;
 	authorized_keys)
@@ -403,3 +430,4 @@
 fi
 
+test ${FORCE} = 'rw' && mount -u -r /
 exit 0
Index: tools/genesis.conf
===================================================================
--- tools/genesis.conf	(revision 4985)
+++ tools/genesis.conf	(revision 4986)
@@ -33,5 +33,5 @@
 
 #path variablen
-$home="/home/eddie/svn/genesis";
+$home="/home/genesis";
 $ndir="$home/nodes";
 $toolfile="$home/tools/wleiden.pl";
